Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.gui.viewer
Interface AlignmentViewerCellRenderer

All Known Implementing Classes:
  DefaultAlignmentViewerCellRenderer

public interface AlignmentViewerCellRenderer

AlignmentViewerCellRenderer.java Initial interface for the AlignmentViewerCellRender. This defines a component which is used to render an individual cell for a JAlignmentViewer. Its not complete yet. Its needs information about the colour model to be used for this cell. And possible info about the difference between the alignment position, and the viewer position, Im not sure. Created: Mon Mar 20 15:50:14 2000

Version:
  $Id: AlignmentViewerCellRenderer.java,v 1.2 2001/04/11 17:04:42 lord Exp $
Author:
  Phillip Lord

Method Summary
`Component` | `getAlignmentViewerCellRendererComponent(JAlignmentViewer viewer, Element element, SequenceAlignmentPoint location, Color bgColor, boolean isSelected, boolean hasFocus, boolean isAtPoints)` This method should be able to cope with null values for element which will be passed if we are off the front or the end of the sequence

Method Detail

### getAlignmentViewerCellRendererComponent

    public Component getAlignmentViewerCellRendererComponent(JAlignmentViewer viewer,
                                                             Element element,
                                                             SequenceAlignmentPoint location,
                                                             Color bgColor,
                                                             boolean isSelected,
                                                             boolean hasFocus,
                                                             boolean isAtPoints)

  This method should be able to cope with null values for element which will be passed if we are off the front or the end of the sequence

  Parameters:
    `viewer` -
    `element` -
    `bgColor` - the background color of the cell (can be null)
    `isSelected` -
  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD